<div class="container" style="width: 1000px">
    <div mat-dialog-title>
        <h3>update message</h3>
    </div>
    <form #loginForm="ngForm">
        <fieldset class="form">
            <legend>message</legend>
            <div color="accent" style="width: 100%">
                <h3>langue</h3>
                <label>
                    {{lang_Id}}
                </label>
            </div>
            <br>
            <div color="accent" style="width: 100%">
                <h3>campany</h3>
                <label>
                    {{campany_Id}}
                </label>
            </div>
            <br>
            <div color="accent" style="width: 100%">
                <h3>application</h3>
                <label>
                    {{application_Id}}
                </label>
            </div>

            <br>

            <div color="accent" style="width: 100%">
                <h3>module</h3>
                <label>
                    {{module_Id}}
                </label>
            </div>

            <br>
            <div color="accent" style="width: 100%">
                <h3>message code</h3>
                <label>
                    {{message_Code}}
                </label>
            </div>

            <br>
            <br>
            <mat-form-field style="width: 100%" class="example-full-width">
                <textarea required name='message_Content' pattern='^[a-zA-Z,:.0-9_ ]*$' [(ngModel)]='message_Content'
                    matInput placeholder="message content"></textarea>
                <mat-error *ngIf="loginForm.invalid">champ invalid</mat-error>
            </mat-form-field>

        </fieldset>
        <div mat-dialog-actions>

            <button mat-button color="primary" mat-stroked-button (click)='update()'> update</button>
            <button mat-button mat-stroked-button (click)='cancel()'> cancel</button>

        </div>
    </form>
</div>